> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexslot.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Read one OAuth2 client

> Returns a single OAuth2 client owned by the PAT user's partner. 404 if not owned.



## OpenAPI

````yaml /openapi.json get /api/public/v1/me/partner/oauth2-clients/{client_id}
openapi: 3.0.3
info:
  title: Flexslot API
  version: 1.0.0
  description: API documentation for Flexslot decks application
servers:
  - url: https://api.flexslot.gg
    description: Production
  - url: https://api-dev.flexslot.gg
    description: Development
security: []
paths:
  /api/public/v1/me/partner/oauth2-clients/{client_id}:
    get:
      tags:
        - Me
      summary: Read one OAuth2 client
      description: >-
        Returns a single OAuth2 client owned by the PAT user's partner. 404 if
        not owned.
      operationId: me_partner_oauth2_clients_detail
      parameters:
        - in: path
          name: client_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuth2ClientSelf'
          description: ''
      security:
        - PersonalAccessToken: []
        - OAuth2Bearer: []
components:
  schemas:
    OAuth2ClientSelf:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        client_id:
          type: string
          readOnly: true
        client_type:
          allOf:
            - $ref: '#/components/schemas/OAuth2ClientTypeEnum'
          readOnly: true
        application_name:
          type: string
          readOnly: true
        application_url:
          type: string
          format: uri
          readOnly: true
        application_logo_url:
          type: string
          format: uri
          readOnly: true
        privacy_policy_url:
          type: string
          format: uri
          readOnly: true
        tos_url:
          type: string
          format: uri
          readOnly: true
        redirect_uris:
          type: array
          items:
            type: string
            maxLength: 512
          readOnly: true
        allowed_scopes:
          type: array
          items:
            type: string
            maxLength: 64
          readOnly: true
        grant_types:
          type: array
          items:
            type: string
            maxLength: 32
          readOnly: true
        require_pkce:
          type: boolean
          readOnly: true
        dpop_bound_access_tokens:
          type: boolean
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/OAuth2ClientStatusEnum'
          readOnly: true
        secret_rotated_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        last_used_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - allowed_scopes
        - application_logo_url
        - application_name
        - application_url
        - client_id
        - client_type
        - created_at
        - dpop_bound_access_tokens
        - grant_types
        - id
        - last_used_at
        - privacy_policy_url
        - redirect_uris
        - require_pkce
        - secret_rotated_at
        - status
        - tos_url
        - updated_at
    OAuth2ClientTypeEnum:
      enum:
        - confidential
        - public
      type: string
      description: |-
        * `confidential` - Confidential
        * `public` - Public
      x-enum-varnames:
        - CONFIDENTIAL
        - PUBLIC
      x-enum-descriptions:
        - Confidential
        - Public
    OAuth2ClientStatusEnum:
      enum:
        - active
        - suspended
        - revoked
      type: string
      description: |-
        * `active` - Active
        * `suspended` - Suspended
        * `revoked` - Revoked
      x-enum-varnames:
        - ACTIVE
        - SUSPENDED
        - REVOKED
      x-enum-descriptions:
        - Active
        - Suspended
        - Revoked
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: bearer
      bearerFormat: flx_pat_...
      description: 'User-issued personal access token (format: flx_pat_<token>).'
    OAuth2Bearer:
      type: http
      scheme: bearer
      bearerFormat: flx_at_...
      description: >-
        OAuth2 access token issued via the authorization-code + PKCE flow
        (format: flx_at_<token>). Grants the partner user-scoped access to act
        on behalf of the consenting end-user.

````